org.apache.solr.spelling.suggest

## Class SuggesterResult

- java.lang.Object
- - org.apache.solr.spelling.suggest.SuggesterResult

-     public class SuggesterResult
      extends Object

  Encapsulates the results returned by the suggester in `SolrSuggester`

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `SuggesterResult()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `add(String suggesterName, String token, List<Lookup.LookupResult> results)` Add suggestion results for `token`
    `List<Lookup.LookupResult>` | `getLookupResult(String suggesterName, String token)` Get a list of lookup result for a given `token` null can be returned, if there are no lookup results for the `token`
    `Set<String>` | `getSuggesterNames()` Get the set of suggesterNames for which this instance holds results
    `Set<String>` | `getTokens(String suggesterName)` Get the set of tokens that are present in the instance

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### SuggesterResult

          public SuggesterResult()

  - ### Method Detail

    - #### add

          public void add(String suggesterName,
                          String token,
                          List<Lookup.LookupResult> results)

      Add suggestion results for `token`

    - #### getLookupResult

          public List<Lookup.LookupResult> getLookupResult(String suggesterName,
                                                           String token)

      Get a list of lookup result for a given `token` null can be returned, if there are no lookup results for the `token`

    - #### getTokens

          public Set<String> getTokens(String suggesterName)

      Get the set of tokens that are present in the instance

    - #### getSuggesterNames

          public Set<String> getSuggesterNames()

      Get the set of suggesterNames for which this instance holds results

Copyright © 2000-2016 Apache Software Foundation. All Rights Reserved.